---
title: Navigator.mediaCapabilities
slug: Web/API/Navigator/mediaCapabilities
tags:
  - API
  - Experimental
  - Media
  - Media Capabilities API
  - MediaCapabilities
  - Navigator
---
<p>{{SeeCompatTable}}</p>

<p>The <code><strong>Navigator.mediaCapabilities</strong></code> read-only property returns a {{domxref("MediaCapabilities")}} object that can expose information about the decoding and encoding capabilities for a given format and output capabilities as defined by the <a href="/en-US/docs/Web/API/Media_Capabilities_API">Media Capabilities API</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>mediaCapabilitiesObj</em> = <em>globalObj</em>.navigator.mediaCapabilities
</pre>

<h2 id="Value">Value</h2>

<p>A {{domxref("MediaCapabilities")}} object.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">navigator.mediaCapabilities.decodingInfo({
    type : 'file',
    audio : {
        contentType : "audio/mp3",
        channels : 2,
        bitrate : 132700,
        samplerate : 5200
    }
}).then(function(result) {
  console.log('This configuration is ' +
        (result.supported ? '' : 'not ') + 'supported, ' +
        (result.smooth ? '' : 'not ') + 'smooth, and ' +
        (result.powerEfficient ? '' : 'not ') + 'power efficient.')
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Media Capabilities')}}</td>
   <td>{{Spec2('Media Capabilities')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.mediaCapabilities")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Media_Capabilities_API">Media Capabilities API</a></li>
 <li>{{domxref("Navigator")}}</li>
</ul>

<p>{{APIRef("HTML DOM")}}</p>
